JUCE: juce::midi_ci::PropertyReplyHeader Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
juce::midi_ci::PropertyReplyHeader Struct Reference
juce_midi_ci » ci

A struct containing data members that correspond to common fields in a reply to a property exchange request. More...

`#include <juce_CIPropertyDelegate.h>`

## Public Member Functions
var | toVarCondensed () const
| Converts a PropertyReplyHeader to a JSON object suitable for use as a MIDI-CI message header after conversion to 7-bit ASCII.

## Static Public Member Functions
static PropertyReplyHeader | parseCondensed (const var &)
| Converts a JSON object to a PropertyReplyHeader.

## Public Attributes
int | status = 200
String | message
Encoding | mutualEncoding = Encoding::ascii
int | cacheTime = 0
String | mediaType = "application/json"
std::map< Identifier, var > | extended

## Detailed Description

A struct containing data members that correspond to common fields in a reply to a property exchange request.

Check the Property Exchange specification to find the meaning of the different fields.

For extended attributes that don't correspond to any of the defined data members, use the 'extended' map.

## Member Function Documentation

## ◆ parseCondensed()

static PropertyReplyHeader juce::midi_ci::PropertyReplyHeader::parseCondensed | ( | const var & |  | ) |
| static

Converts a JSON object to a PropertyReplyHeader.

Unspecified fields will use their default values.

Referenced by juce::midi_ci::PropertyExchangeResult::getHeaderAsReplyHeader().

## ◆ toVarCondensed()

var juce::midi_ci::PropertyReplyHeader::toVarCondensed | ( |  | ) | const

Converts a PropertyReplyHeader to a JSON object suitable for use as a MIDI-CI message header after conversion to 7-bit ASCII.

## Member Data Documentation

## ◆ status

int juce::midi_ci::PropertyReplyHeader::status = 200

## ◆ message

String juce::midi_ci::PropertyReplyHeader::message

## ◆ mutualEncoding

Encoding juce::midi_ci::PropertyReplyHeader::mutualEncoding = Encoding::ascii

## ◆ cacheTime

int juce::midi_ci::PropertyReplyHeader::cacheTime = 0

## ◆ mediaType

String juce::midi_ci::PropertyReplyHeader::mediaType = "application/json"

## ◆ extended

std::map<Identifier, var> juce::midi_ci::PropertyReplyHeader::extended

The documentation for this struct was generated from the following file:

- juce_CIPropertyDelegate.h